Bug Hunting Session
Bug 84311 - Impress Remote Control for iOS does not connect
Summary: Impress Remote Control for iOS does not connect
Status: NEW
Alias: None
Product: Impress Remote
Classification: Unclassified
Component: iOS app (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-25 07:27 UTC by Marc Balmer
Modified: 2019-10-05 03:06 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Balmer 2014-09-25 07:27:44 UTC
Impress Remote for iOS can not connect to LibreOffice Impress running on Mac OS X.

When trying to connect, the laptop running Impress does not show up in the list of remote controllable  machines.  It does not even connect when entering the IP address.

It does not change if the firewall on Mac OS X is turned off.

Tested with iOS 7 and 8 on iPhone 4S and iPad mini, iPad 2.
Comment 1 Joel Madero 2014-09-28 06:20:30 UTC
Not a blocker - setting to normal.

Please don't change it back - a blocker is something that makes the software completely unusable for almost every user (such as inability to install).
Comment 2 Robinson Tryon (qubit) 2015-02-26 21:39:24 UTC
Moving bug to 'Impress Remote' product.
Comment 3 Robinson Tryon (qubit) 2015-02-26 21:42:09 UTC
(In reply to Marc Balmer from comment #0)
> Impress Remote for iOS can not connect to LibreOffice Impress running on Mac
> OS X.
> 
> When trying to connect, the laptop running Impress does not show up in the
> list of remote controllable  machines.  It does not even connect when
> entering the IP address.

Hi Marc,
I've some q's for you:

- What version of the Impress Remote and LibreOffice are you using?

- Are you connecting using WiFi or Bluetooth?

- If you happen to have access to another machine running LibreOffice, or an Android device that can run the Android Impress Remote, do any of those pairings work for you?

Status -> NEEDINFO
Comment 4 Marc Balmer 2015-02-27 10:24:34 UTC
> - What version of the Impress Remote and LibreOffice are you using?

LibreOffice 4.4.1 on OS X and the iOS Impress Remote Version 1.0.1 as
found in the app store (just update both), 2.1.3 on Android
 
> - Are you connecting using WiFi or Bluetooth?

Using WiFi, both the Laptop and the iPad are in the same network.

> - If you happen to have access to another machine running LibreOffice, or an
> Android device that can run the Android Impress Remote, do any of those
> pairings work for you?

I just installed the Android version on a Asus Memo PAD HD 7 and it does
not work either.
Comment 5 Buovjaga 2015-03-09 13:18:54 UTC
Thanks for the info. Setting back to UNCONFIRMED.
Comment 6 steve -_- 2016-06-15 08:10:52 UTC
Tried to reproduce but failed to connect here as well.

Version: 5.3.0.0.alpha0+
Build ID: f536a83d51443d19dba58157cea28fb67a090e02
CPU Threads: 4; OS Version: Mac OS X 10.11.5; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-06-13_01:17:26
Locale: de-DE (de.UTF-8)

And Impress Remote 1.0.1 from the iOS AppStore.

Both machines iOS and OS X are on same WIFI.
Tried entering machines IP on iOS →  no success.
Tried automatic connection → no success.
On OS X an empty window is shown. No device appears: http://imgur.com/3jFkIYo

This bug is valid, confirmed and New.
Comment 7 QA Administrators 2017-09-01 11:19:14 UTC Comment hidden (obsolete)
Comment 8 Marc Balmer 2017-10-03 11:41:03 UTC
I wanted to retest this, but Impress Remote is no longer available in the iOS app store.  Maybe it never got updated to iOS 11?
Comment 9 Nathalia will 2018-08-17 10:12:50 UTC Comment hidden (obsolete)
Comment 10 Ersin Toros 2018-10-04 17:25:55 UTC
I'm also having the problem trying to connect using iOS 11 device, bummer. Hope it gets updated and fixed soon
Comment 11 QA Administrators 2019-10-05 03:06:43 UTC
Dear Marc Balmer,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug